Page MenuHomePhabricator

Remove assumption from MediaWiki core that JS/CSS are only in MediaWiki namespace or User subpages
Closed, ResolvedPublic

Description

There are a few places in MediaWiki that assume that JS/CSS are only stored in the MediaWiki namespace or in User subpages; basically anything that calls Title::isCssOrJsPage() or isCssJsSubpage().

This isn't a very good assumption, and with the introduction of Gadgets 2.0 and the Gadgets namespace, this will be false.


Version: 1.24rc
Severity: normal

Details

Reference
bz70835

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:43 AM
bzimport added a project: MediaWiki-General.
bzimport set Reference to bz70835.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Sep 15 2014, 3:50 AM

An example of such an assumption is I64e86c74173b1c88cac71483327cacdd8b9967b9.

(In reply to Kunal Mehta (Legoktm) from comment #0)

basically anything that
calls Title::isCssOrJsPage() or isCssJsSubpage().

A lot of these calls seem to be for supporting the deprecated ShowRawCssJs hook. Except that hook was only deprecated in 1.24, so we'll need to wait until 1.25 to kill it :/

gerritadmin wrote:

Change 160392 had a related patch set uploaded by Legoktm:
ResourceLoaderWikiModule: Only check content format instead of namespace

https://gerrit.wikimedia.org/r/160392

Will this have any impact on things like the visibility of the toolbars (the classic and/or from WikiEditor)? See e.g.:

  • Bug 29908
  • Bug 30795
  • Bug 69447

gerritadmin wrote:

Change 160392 merged by jenkins-bot:
ResourceLoaderWikiModule: Only check content format instead of namespace

https://gerrit.wikimedia.org/r/160392

All patches mentioned in this report were merged or abandoned - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

Paladox set Security to None.Apr 26 2015, 3:36 PM
Legoktm closed this task as Resolved.Jul 17 2015, 1:37 AM
Legoktm claimed this task.
Legoktm added a subscriber: Krinkle.

@Krinkle and I looked into this today and couldn't find anything else left to do.